# findProperty

@Nullable
abstract fun findProperty(propertyName: String): @Nullable Any

Returns the value of the given property or null if not found. This method locates a property as follows:

1. If this project object has a property with the given name, return the value of the property.
2. If this project has an extension with the given name, return the extension.
3. If this project's convention object has a property with the given name, return the value of the property.
4. If this project has an extra property with the given name, return the value of the property.
5. If this project has a task with the given name, return the task.
6. Search up through this project's ancestor projects for a convention property or extra property with the given name.
7. If not found, null value is returned.

#### Return

The value of the property, possibly null or null if not found.

#### Since

2.13

#### Parameters

propertyName

The name of the property.

#### See also

Project